# Class SAMSequenceDictionaryExtractor

java.lang.Object
htsjdk.variant.utils.SAMSequenceDictionaryExtractor

public class SAMSequenceDictionaryExtractor extends Object
Small class for loading a SAMSequenceDictionary from a file

## Constructor Summary

Constructors
Constructor
Description
`SAMSequenceDictionaryExtractor()`

## Method Summary

Modifier and Type
Method
Description
`static SAMSequenceDictionary`
`extractDictionary(File file)`
Deprecated.
in favor of `extractDictionary(Path)`
`static SAMSequenceDictionary`
`extractDictionary(Path path)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SAMSequenceDictionaryExtractor

public SAMSequenceDictionaryExtractor()

## Method Details

### extractDictionary

@Deprecated public static SAMSequenceDictionary extractDictionary(File file)
Deprecated.
in favor of `extractDictionary(Path)`

### extractDictionary

public static SAMSequenceDictionary extractDictionary(Path path)